diff options
Diffstat (limited to 'meta')
| -rw-r--r-- | meta/recipes-connectivity/openssh/openssh/0001-openssh-regress-Makefile-print-logs-if-test-fails.patch | 34 | ||||
| -rw-r--r-- | meta/recipes-connectivity/openssh/openssh_9.4p1.bb | 1 |
2 files changed, 35 insertions, 0 deletions
diff --git a/meta/recipes-connectivity/openssh/openssh/0001-openssh-regress-Makefile-print-logs-if-test-fails.patch b/meta/recipes-connectivity/openssh/openssh/0001-openssh-regress-Makefile-print-logs-if-test-fails.patch new file mode 100644 index 0000000000..baa68dc6ff --- /dev/null +++ b/meta/recipes-connectivity/openssh/openssh/0001-openssh-regress-Makefile-print-logs-if-test-fails.patch | |||
| @@ -0,0 +1,34 @@ | |||
| 1 | From 554f7baed050f89ffc2a7192d3071e8c5420f6d3 Mon Sep 17 00:00:00 2001 | ||
| 2 | From: Mikko Rapeli <mikko.rapeli@linaro.org> | ||
| 3 | Date: Fri, 25 Aug 2023 10:35:28 +0000 | ||
| 4 | Subject: [PATCH] openssh regress/Makefile: print logs if test fails | ||
| 5 | |||
| 6 | Some tests are failing in CI runs and reproduction has failed. Print | ||
| 7 | the captured sshd and ssh client logs if test fails. This should | ||
| 8 | help to fix the root causes. | ||
| 9 | |||
| 10 | Reference: https://bugzilla.yoctoproject.org/show_bug.cgi?id=15178 | ||
| 11 | |||
| 12 | Signed-off-by: Mikko Rapeli <mikko.rapeli@linaro.org> | ||
| 13 | --- | ||
| 14 | regress/Makefile | 2 +- | ||
| 15 | 1 file changed, 1 insertion(+), 1 deletion(-) | ||
| 16 | |||
| 17 | Upstream-Status: Submitted [https://github.com/openssh/openssh-portable/pull/437] | ||
| 18 | |||
| 19 | diff --git a/regress/Makefile b/regress/Makefile | ||
| 20 | index d80bf59..a972dff 100644 | ||
| 21 | --- a/regress/Makefile | ||
| 22 | +++ b/regress/Makefile | ||
| 23 | @@ -229,7 +229,7 @@ t-exec: ${LTESTS:=.sh} | ||
| 24 | done; \ | ||
| 25 | if [ "x$${skip}" = "xno" ]; then \ | ||
| 26 | echo "run test $${TEST}" ... 1>&2; \ | ||
| 27 | - (env SUDO="${SUDO}" TEST_ENV=${TEST_ENV} ${TEST_SHELL} ${.CURDIR}/test-exec.sh ${.OBJDIR} ${.CURDIR}/$${TEST}) || exit $$?; \ | ||
| 28 | + (env SUDO="${SUDO}" TEST_ENV=${TEST_ENV} ${TEST_SHELL} ${.CURDIR}/test-exec.sh ${.OBJDIR} ${.CURDIR}/$${TEST}) || (echo return value: $$?; echo capturing logs; cat *.log; exit 1); \ | ||
| 29 | else \ | ||
| 30 | echo skip test $${TEST} 1>&2; \ | ||
| 31 | fi; \ | ||
| 32 | -- | ||
| 33 | 2.34.1 | ||
| 34 | |||
diff --git a/meta/recipes-connectivity/openssh/openssh_9.4p1.bb b/meta/recipes-connectivity/openssh/openssh_9.4p1.bb index 3f232a839d..2c85780e4d 100644 --- a/meta/recipes-connectivity/openssh/openssh_9.4p1.bb +++ b/meta/recipes-connectivity/openssh/openssh_9.4p1.bb | |||
| @@ -24,6 +24,7 @@ SRC_URI = "http://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-${PV}.tar | |||
| 24 | file://fix-potential-signed-overflow-in-pointer-arithmatic.patch \ | 24 | file://fix-potential-signed-overflow-in-pointer-arithmatic.patch \ |
| 25 | file://sshd_check_keys \ | 25 | file://sshd_check_keys \ |
| 26 | file://add-test-support-for-busybox.patch \ | 26 | file://add-test-support-for-busybox.patch \ |
| 27 | file://0001-openssh-regress-Makefile-print-logs-if-test-fails.patch \ | ||
| 27 | " | 28 | " |
| 28 | SRC_URI[sha256sum] = "3608fd9088db2163ceb3e600c85ab79d0de3d221e59192ea1923e23263866a85" | 29 | SRC_URI[sha256sum] = "3608fd9088db2163ceb3e600c85ab79d0de3d221e59192ea1923e23263866a85" |
| 29 | 30 | ||
